local hcTk = HCToolkit

function hcTk.GeneralCombatLog(...)
    local msg = select(2, ...)
    if (hcTk.GeneralCombatLogFns[msg] ~= nil) then
        hcTk.GeneralCombatLogFns[msg](...)
    end
end

function hcTk.GeneralEncounterStart(encounterId)
    hcTk.EncounterId = encounterId
    hcTk.FrameDemoMode(HCToolkitGroupFrame, false)
    hcTk.FrameDemoMode(HCToolkitPersonalFrame, false)
    hcTk.GroupUpdateValues()
end

function hcTk.GeneralEncounterEnd()
    hcTk.EncounterId = nil
    hcTk.FrameResetState(HCToolkitGroupFrame)
    hcTk.FrameResetState(HCToolkitPersonalFrame)
end

function hcTk.GeneralUnitDied(...)
    local destGUID = select(8, ...)
    hcTk.UnitSetDead(destGUID)
end

hcTk.GeneralCombatLogFns = {
    ["UNIT_DIED"] = hcTk.GeneralUnitDied
}